Enrich person contact details
curl --request POST \
--url https://api.stardex.ai/v1/persons/{id}/enrich \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stardex.ai/v1/persons/{id}/enrich"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stardex.ai/v1/persons/{id}/enrich', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"person_id": "123e4567-e89b-12d3-a456-426614174000",
"linkedin_public_id": "johndoe",
"linkedin_url": "https://www.linkedin.com/in/johndoe",
"emails": [
{
"value": "john@example.com",
"contact_data_type": "personal",
"source": "rocketreach",
"priority": 1
},
{
"value": "john@techcorp.com",
"contact_data_type": "work",
"source": "apollo",
"priority": 2
}
],
"phones": [
{
"value": "+1-555-0123",
"contact_data_type": "mobile",
"source": "signalhire",
"priority": 1
},
{
"value": "+1-555-0199",
"contact_data_type": "work",
"source": "fullenrich",
"priority": 2
},
{
"value": "+1-555-0142",
"contact_data_type": "home",
"source": "pdl",
"priority": 3
}
],
"quota": {
"allowed": true,
"used": 12,
"limit": 1500,
"remaining": 1488,
"billable_member_count": 3,
"per_member_limit": 500,
"period_start": "2026-09-01",
"resets_at": "2026-10-01T00:00:00.000Z"
}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Persons
Enrich person contact details
Look up email (and phone, when enabled) contact details for a person via Stardex enrichment providers.
Organization gate: requires enrichment_api_enabled on the organization (staff-enabled).
Quota: organization-wide limit of 500 enrichment requests per active team member with an auth_user_id, per UTC calendar month. Quota usage is returned in the response body and in X-Enrichment-Quota-* headers.
API-key scope: persons:write.
POST
/
v1
/
persons
/
{id}
/
enrich
Enrich person contact details
Was this page helpful?